com.fasterxml.jackson.core.io

## Class BigIntegerParser

- java.lang.Object
- - com.fasterxml.jackson.core.io.BigIntegerParser

    public final class BigIntegerParser
    extends Object

Helper class used to implement more optimized parsing of `BigInteger` for REALLY big values (over 500 characters).

Since:
  2.15

### Method Summary

All Methods Static Methods Concrete Methods
`static BigInteger` `parseWithFastParser(String valueStr)`
`static BigInteger` `parseWithFastParser(String valueStr, int radix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parseWithFastParser

    public static BigInteger parseWithFastParser(String valueStr)

#### parseWithFastParser

    public static BigInteger parseWithFastParser(String valueStr,
                                                 int radix)